## helma.objectmodel.dom
Class XmlConverter

    java.lang.Object
      helma.objectmodel.dom.XmlConverter

All Implemented Interfaces:
  XmlConstants

    public class XmlConverter

extends java.lang.Object
implements XmlConstants

Field Summary

Fields inherited from interface helma.objectmodel.dom.XmlConstants
`DATEFORMAT, NAMESPACE`

Constructor Summary
`XmlConverter()` Creates a new XmlConverter object.
`XmlConverter(java.io.File propFile)` Creates a new XmlConverter object.
`XmlConverter(java.util.Properties props)` Creates a new XmlConverter object.
`XmlConverter(java.lang.String propFile)` Creates a new XmlConverter object.

Method Summary
`INode` `convert(org.w3c.dom.Element element, INode helmaNode, java.util.Map nodeCache)`
`INode` `convert(java.io.File file, INode helmaNode)`
`INode` `convert(java.io.InputStream in, INode helmaNode)`
`INode` `convert(java.lang.String desc)`
`INode` `convert(java.lang.String desc, INode helmaNode)`
`INode` `convert(java.net.URL url, INode helmaNode)`
`INode` `convertFromString(java.lang.String xml, INode helmaNode)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlConverter

    public XmlConverter()

  Creates a new XmlConverter object.

### XmlConverter

    public XmlConverter(java.lang.String propFile)

  Creates a new XmlConverter object.

  Parameters:
    `propFile` - ...

### XmlConverter

    public XmlConverter(java.io.File propFile)

  Creates a new XmlConverter object.

  Parameters:
    `propFile` - ...

### XmlConverter

    public XmlConverter(java.util.Properties props)

  Creates a new XmlConverter object.

  Parameters:
    `props` - ...

Method Detail

### convert

    public INode convert(java.lang.String desc)

  Parameters:
    `desc` - ...
  Returns:
    ...

### convert

    public INode convert(java.lang.String desc,
                         INode helmaNode)
                  throws java.lang.RuntimeException

  Parameters:
    `desc` - ...
    `helmaNode` - ...
  Returns:
    ...
  Throws:
    `java.lang.RuntimeException` - ...

### convert

    public INode convert(java.io.File file,
                         INode helmaNode)
                  throws java.lang.RuntimeException,
                         java.io.FileNotFoundException

  Parameters:
    `file` - ...
    `helmaNode` - ...
  Returns:
    ...
  Throws:
    `java.lang.RuntimeException` - ...
    `java.io.FileNotFoundException` - ...

### convert

    public INode convert(java.net.URL url,
                         INode helmaNode)
                  throws java.lang.RuntimeException,
                         java.io.IOException,
                         java.net.MalformedURLException

  Parameters:
    `url` - ...
    `helmaNode` - ...
  Returns:
    ...
  Throws:
    `java.lang.RuntimeException` - ...
    `java.io.IOException` - ...
    `java.net.MalformedURLException` - ...

### convert

    public INode convert(java.io.InputStream in,
                         INode helmaNode)
                  throws java.lang.RuntimeException

  Parameters:
    `in` - ...
    `helmaNode` - ...
  Returns:
    ...
  Throws:
    `java.lang.RuntimeException` - ...

### convertFromString

    public INode convertFromString(java.lang.String xml,
                                   INode helmaNode)
                            throws java.lang.RuntimeException

  Parameters:
    `xml` - ...
    `helmaNode` - ...
  Returns:
    ...
  Throws:
    `java.lang.RuntimeException` - ...

### convert

    public INode convert(org.w3c.dom.Element element,
                         INode helmaNode,
                         java.util.Map nodeCache)

  Parameters:
    `element` - ...
    `helmaNode` - ...
    `nodeCache` - ...
  Returns:
    ...

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.